Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### directionalLight()

Examples

    size(100, 100, P3D);
    background(0);
    noStroke();
    directionalLight(51, 102, 126, -1, 0, 0);
    translate(20, 50, 0);
    sphere(30);

    size(100, 100, P3D);
    background(0);
    noStroke();
    directionalLight(51, 102, 126, 0, -1, 0);
    translate(80, 50, 0);
    sphere(30);

Description

Adds a directional light. Directional light comes from one direction and is stronger when hitting a surface squarely and weaker if it hits at a a gentle angle. After hitting a surface, a directional lights scatters in all directions. Lights need to be included in the draw() to remain persistent in a looping program. Placing them in the setup() of a looping program will cause them to only have an effect the first time through the loop. The affect of the v1, v2, and v3 parameters is determined by the current color mode. The nx, ny, and nz parameters specify the direction the light is facing. For example, setting ny to -1 will cause the geometry to be lit from below (the light is facing directly upward).

Syntax

    directionalLight(v1, v2, v3, nx, ny, nz)

Parameters

v1 | int or float: red or hue value
v2 | int or float: green or hue value
v3 | int or float: blue or hue value
nx | int or float: direction along the x axis
ny | int or float: direction along the y axis
nz | int or float: direction along the z axis

Returns | None
Usage | Web & Application
Related | lights() ambientLight() pointLight() spotLight()

Updated on November 22, 2008 08:39:25pm PST